<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Home</title>
    <link rel="icon" type="image/gif" href="src/favicon.png">
    <link rel="stylesheet" href="m4play.css">
    <link rel="stylesheet" href="index.css">

    <script>
        function loadXMLDoc(filename) {
            if (window.ActiveXObject) {
                xhttp = new ActiveXObject("Msxml2.XMLHTTP");
            }
            else {
                xhttp = new XMLHttpRequest();
            }
            xhttp.open("GET", filename, false);
           // try { xhttp.responseType = "msxml-document" } catch (err) { } // Helping IE11
            xhttp.send("");
            return xhttp.responseXML;
        }


        function displayResult() {
            xml = loadXMLDoc("XML/videojuegos.xml");
            xsl = loadXMLDoc("XML/videojuegos.xsl");
            // code for IE
            // if (window.ActiveXObject || xhttp.responseType == "msxml-document") {
            //     ex = xml.transformNode(xsl);
            //     document.getElementById("example").innerHTML = ex;
            // }
            // // code for Chrome, Firefox, Opera, etc.
            // else 
            if (document.implementation && document.implementation.createDocument) {
                xsltProcessor = new XSLTProcessor();
                xsltProcessor.importStylesheet(xsl);
                resultDocument = xsltProcessor.transformToFragment(xml, document);
                document.getElementById('videojuegos').appendChild(resultDocument);
            }
        }
    </script>
</head>

<body onload="displayResult()">

    <header>
        <img class="header-logo" src="src/M4PLay.jpg" alt="Logo Web"> <!-- Aquí irá el logo de la web -->
        <h1>LEARNING THROUGH PLAY</h1>
    </header>
    <div class="nav">
        <nav>
            <!-- Aquí està el navegador de la web -->
            <a href="index.html">Home</a>
            <a href="videojuegos.html">Videojuegos</a>
            <a href=#noticias>Noticias</a>
            <a href=#ranking>Ranking</a>
            <a href="contacto.html">Contacto</a>
        </nav>
    </div>
    <main>
        <section id="videojuegos"> 
            
        </section>
        <aside>
            <!-- Aquí tenemos la "Section" de Trucos -->
            <h3>Trucos</h3>
            <article>
                <h4>Grand Theft Auto</h4>
                <p>
                    <span>Para aparecer barcos:</span>362-555-050 <br>
                    <span>Para aparecer salud:</span>482-555-050 <br>
                </p>
            </article>
            <article>
                <h4>League of Legends</h4>
                <p>
                    <span>Hechizos de invocador:</span> te explicamos qué son y cómo funciona cada uno. <br>
                    <span>Subir de nivel rápido:</span> descubre todas las formas de ganar puntos de experiencia (EXP).
                    <br>
                    <span>Recompensas de cuenta:</span> aquí mostramos todos los premios que ganarás por subir tu nivel
                    en LoL. <br>
                </p>
            </article>
        </aside>
        <section class="section-noticias">
            <!-- Aquí tenemos la "Section" de Noticias -->
            <h3 id="noticias">Noticias</h3>
            <div class="noticias">
                <article>
                    <h4>
                        Los videojuegos como herramientas para el
                        conocimiento</h4>
                    <p>
                        Desde que comenzamos nuestra andadura con GammeraNest y como
                        equipo creativo, hace ya diez años, asesorando a museos y otras
                        compañías sobre cómo usar la narrativa de los videojuegos a su
                        favor, siempre hemos pensado que el conocimiento debe ser
                        compartido con todos si queremos que este mundo sea mejor y que
                        la única forma de adquirirlo es trabajando duro y aprendiendo
                        para posteriormente poder transmitirlo.
                    </p>
                    <div class="button">
                        <a href="noticia1.html">Seguir la noticia</a>
                    </div>
                    <img src="src/noticia1.jpg" alt="Noticia 1">
                </article>
                <article>
                    <h4>EA actualiza los juegos que perderán servicios
                        online
                        en los
                        próximos meses</h4>
                    <p>
                        El videojuego de Electronic Arts (EA) Los Sims 4 ha pasado a
                        ser de descarga gratuita desde este martes, un cambio que la
                        compañía ha acompañado de modificaciones en sus servicios en
                        línea, que afectan también a otros títulos como Command &
                        Conquer, Mirror's Edge y Army of Two.
                    </p>
                    <div class="button">
                        <a href="noticia1.html">Seguir la noticia</a>
                    </div>
                    <img src="src/noticia2.jpg" alt="Noticia 2">
                </article>
                <article>
                    <h4>
                        Nuevas pistas sugieren que el nuevo juego de Hideo
                        Kojima es
                        Death Stranding 2</h4>
                    <p>
                        A pesar de que sus títulos suelen generar opiniones divididas,
                        Kojima Productions es una de las desarrolladoras que más dan de
                        qué hablar. Aunque la compañía aún no ha revelado oficialmente su
                        próximo proyecto, con crípticos mensajes su jefe, Hideo Kojima,
                        ha estado emocionando a los fans sobre una pronta revelación y
                        las sospechas sobre Death Stranding se hacen más grandes.
                    </p>
                    <div class="button">

                        <a href="noticia1.html">Seguir la noticia</a>
                    </div>
                    <img src="src/noticia3.jpeg" alt="Noticia 3">
                </article>
                <article>
                    <h4>4.000 dólares por doblar un juego millonario:
                        'Bayonetta 3' es
                        el último escándalo</h4>
                    <p>
                        El próximo 28 de octubre PlatinumGames lanza 'Bayonetta 3', uno
                        de los juegos más esperados para la Nintendo Switch. El título es
                        prometedor, pero su lanzamiento se ha convertido en un verdadero
                        escándalo. Una actriz de doblaje ha puesto el grito en el cielo
                        por un tema siempre sensible: según ella ofrecen sueldos
                        miserables incluso en producciones que acaban generando millones
                        y millones de dólares.
                    </p>
                    <div class="button">

                        <a href="noticia1.html">Seguir la noticia</a>
                    </div>
                    <img src="src/noticia4.jpeg" alt="Noticia 4">
                </article>
            </div>
        </section>
        <section class="section-ranking">
            <!-- Aquí tenemos la "Section" de Ranking -->
            <h3 id="ranking">Ranking</h3>
            <div class="ranking">
                <article>
                    <img src="src/cara1.jpg" alt="Avatar" width="100">
                    <h4>EuPh0ric4</h4>
                    <p>
                        365h
                    </p>
                </article>
                <article>
                    <img src="src/cara2.jpg" alt="Avatar" width="100">
                    <h4>Isidro</h4>
                    <p>
                        122h
                    </p>
                </article>
                <article>
                    <img src="src/cara3.jpg" alt="Avatar" width="100">
                    <h4>Pedro</h4>
                    <p>
                        89h
                    </p>
                </article>
                <article>
                    <img src="src/cara4.jpg" alt="Avatar" width="100">
                    <h4>Alfredo</h4>
                    <p>
                        44h
                    </p>
                </article>
                <article>
                    <img src="src/cara5.jpg" alt="Avatar" width="100">
                    <h4>Ramón</h4>
                    <p>
                        14h
                    </p>
                </article>
                <article>
                    <img src="src/cara6.jpg" alt="Avatar" width="100">
                    <h4>Ernesto</h4>
                    <p>
                        2h
                    </p>
                </article>

            </div>
        </section>
    </main>
    <footer>
        <!-- Aquí tenemos el pie de pàgina -->
        <div>
            <a href=""><img class=" footer-logos-rs" src="src/instagram.png" alt="Instagram" /></a>
            <a href=""><img class="footer-logos-rs" src="src/facebook.png" alt="Facebook" /></a>
            <a href=""><img class="footer-logos-rs" src="src/twitter.png" alt="Twitter" /></a>
            <a href=""><img class="footer-logos-rs" src="src/youtube.png" alt="Youtube" /></a>
        </div>
        <address class="address">
            Carrer d'Aiguablava 121 <br>
            08033 Barcelona
        </address>
        <p class="copy">
            <a href="copyright.html">Copyright &copy; 2022 - 2022</a>
        </p>
    </footer>
</body>

</html>